/*
 * Copyright (C) 1994-1995, Index Data I/S 
 * All rights reserved.
 * Sebastian Hammer, Adam Dickmeiss
 *
 * regxread.h,v
 * Revision 1.5  1996/05/01  13:46:36  adam
 * First work on multiple records in one file.
 * New option, -offset, to the "unread" command in the filter module.
 *
 * Revision 1.4  1996/01/17  14:57:53  adam
 * Prototype changed for reader functions in extract/retrieve. File
 *  is identified by 'void *' instead of 'int.
 *
 * Revision 1.3  1995/12/15  16:20:10  adam
 * The filter files (*.flt) are read from the path given by data1_tabpath.
 *
 * Revision 1.2  1995/12/13  13:45:38  quinn
 * Changed data1 to use nmem.
 *
 * Revision 1.1  1995/12/04  14:25:31  adam
 * Started work on regular expression parsed input to structured records.
 *
 */
#ifndef REGXREAD_H
#define REGXREAD_H

#include <data1.h>
data1_node *data1_read_regx (int (*rf)(void *, char *, size_t),
                             off_t (*sf)(void *, off_t),
                             void (*ef)(void *, off_t),
                             void *fh,
                             off_t offset,
                             const char *subType, NMEM m);

#endif
